Launch a scan run

Cortex XSIAM Platform APIs

post /public_api/netscan/v1/scan/run

Launch a scan execution using a previously configured scan definition. Optionally override the target IP addresses for this specific run.

Request headers
User-Agent String required
Example: userAgent_example
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'User-Agent: userAgent_example'
'https://api-cortex.paloaltonetworks.com/public_api/netscan/v1/scan/run'
-d ''
import http.client conn = http.client.HTTPSConnection("api-") payload = "{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}" headers = { 'User-Agent': "SOME_STRING_VALUE", 'content-type': "application/json" } conn.request("POST", "%7Bfqdn%7D/public_api/netscan/v1/scan/run", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["User-Agent"] = 'SOME_STRING_VALUE' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "definition_id": 123, "target": "1.2.3.4.0/12" } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run"); xhr.setRequestHeader("User-Agent", "SOME_STRING_VALUE"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run") .header("User-Agent", "SOME_STRING_VALUE") .header("content-type", "application/json") .body("{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}") .asString();
import Foundation let headers = [ "User-Agent": "SOME_STRING_VALUE", "content-type": "application/json" ] let parameters = ["request_data": [ "definition_id": 123, "target": "1.2.3.4.0/12" ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}", CURLOPT_HTTPHEADER => [ "User-Agent: SOME_STRING_VALUE", "content-type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "User-Agent: SOME_STRING_VALUE"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run"); var request = new RestRequest(Method.POST); request.AddHeader("User-Agent", "SOME_STRING_VALUE"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"definition_id\":123,\"target\":\"1.2.3.4.0/12\"}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
request_dataobject
definition_idintegerrequired

Scan definition ID to execute

Example:123
targetstring

IP address or IP range. If provided, overrides the targets configured in the scan definition for this run.

Example:"1.2.3.4.0/12"
REQUEST
{ "request_data": { "definition_id": 123, "target": "1.2.3.4.0/12" } }
Responses

Scan launched successfully

Body
application/json

Response returned after a scan action (launch, pause, resume, or abort)

DATAstringrequired

Action result message

Example:"Scan launched successfully with run ID: 789"
RESPONSE
{ "DATA": "Scan launched successfully with run ID: 789" }

Bad Request

Body
application/json

Standard error response returned for all error status codes

err_msgstringrequired

Human-readable error message

metadataobject

Additional error context with field-level details

err_extraarray

List of field-level error details

[
fieldstring

Name of the field that caused the error

messagestring

Error message for the field

]
RESPONSE
{ "err_msg": "The request contains invalid or missing parameters", "metadata": { "err_extra": [ { "field": "name", "message": "Field required" }, { "field": "extra_info", "message": "Extra inputs are not permitted" } ] } }

User not Authorized

Body
application/json

Standard error response returned for all error status codes

err_msgstringrequired

Human-readable error message

metadataobject

Additional error context with field-level details

err_extraarray

List of field-level error details

[
fieldstring

Name of the field that caused the error

messagestring

Error message for the field

]
RESPONSE
{ "err_msg": "The request contains invalid or missing parameters", "metadata": { "err_extra": [ { "field": "name", "message": "Field required" }, { "field": "extra_info", "message": "Extra inputs are not permitted" } ] } }

Not found

Body
application/json

Standard error response returned for all error status codes

err_msgstringrequired

Human-readable error message

metadataobject

Additional error context with field-level details

err_extraarray

List of field-level error details

[
fieldstring

Name of the field that caused the error

messagestring

Error message for the field

]
RESPONSE
{ "err_msg": "The request contains invalid or missing parameters", "metadata": { "err_extra": [ { "field": "name", "message": "Field required" }, { "field": "extra_info", "message": "Extra inputs are not permitted" } ] } }

Internal Server Error

Body
application/json

Standard error response returned for all error status codes

err_msgstringrequired

Human-readable error message

metadataobject

Additional error context with field-level details

err_extraarray

List of field-level error details

[
fieldstring

Name of the field that caused the error

messagestring

Error message for the field

]
RESPONSE
{ "err_msg": "The request contains invalid or missing parameters", "metadata": { "err_extra": [ { "field": "name", "message": "Field required" }, { "field": "extra_info", "message": "Extra inputs are not permitted" } ] } }